Skip to main content
`Ctrl`+`K`

# PetscOptionsRealArray

Gets an array of double values for a particular option in the database. The values must be separated with commas with no intervening spaces.

## Synopsis

    #include <petscoptions.h>
    PetscErrorCode PetscOptionsRealArray(const char opt[], const char text[], const char man[], PetscReal value[], PetscInt *n, PetscBool *set)

Logically Collective on the communicator passed in `PetscOptionsBegin()`

## Input Parameters

- opt - the option one is seeking

- text - short string describing option

- man - manual page for option

- n - maximum number of values that value has room for

## Output Parameters

- value - location to copy values

- n - actual number of values found

- set - `PETSC_TRUE` if found, else `PETSC_FALSE`

## Note

Must be used between a `PetscOptionsBegin()` and a `PetscOptionsEnd()`

## See Also

`PetscOptionsGetInt()`, `PetscOptionsGetReal()`, `PetscOptionsHasName()`, `PetscOptionsGetIntArray()`, `PetscOptionsGetRealArray()`, `PetscOptionsBool()`, `PetscOptionsName()`, `PetscOptionsBegin()`, `PetscOptionsEnd()`, `PetscOptionsHeadBegin()`, `PetscOptionsStringArray()`, `PetscOptionsRealArray()`, `PetscOptionsScalar()`, `PetscOptionsBoolGroupBegin()`, `PetscOptionsBoolGroup()`, `PetscOptionsBoolGroupEnd()`, `PetscOptionsFList()`, `PetscOptionsEList()`

## Level

beginner

## Location

include/petscoptions.h

## Examples

src/sys/tutorials/ex9f.F90
src/ts/tutorials/ex30.c
src/ts/tutorials/ex18.c
src/ts/tutorials/ex11.c
src/ts/tutorials/ex77.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages